<?php 

class FRMSalida extends AppFormulario{
	

	
	public function init(){
		parent::init();
		$this->_url_traseditar=	'/servicio/estados/id/'.$this->getObjeto()->id;
	// Action	
		$this->setAction('/servicio/salida/id/'.$this->getObjeto()->id);
		$this->setAddClassFormHorizontal(true);
	// Campos
		$kilometrosParkingEntrada = new EFNumero('kilometrosParkingEntrada');
		$kilometrosParkingEntrada->setLabel('Kms');
		$ev = new EVFocus(AppEvento::APP_EVENTO_LOAD);
		$kilometrosParkingEntrada->addEvento($ev, true);
		
		$this->addElement($kilometrosParkingEntrada);
		
		
		$submit = new EFSubmit('guardar');
		$submit->setValue('Guardar');
		$this->addElement($submit);
	// Aņadir a pantalla
		$fd = new VstFieldSet();
		$fd->addElement($kilometrosParkingEntrada);
		$fd->addElement($submit);
		$this->addElementoVista($fd);
	}

	public function __construct(Servicio $objeto){
		$this->_objeto = $objeto;
		parent::__construct();
	}
}